package net.sf.doolin.template;

import java.io.Writer;
import java.util.Map;

/**
 * Reusable template.
 * 
 * @author Damien Coraboeuf
 */
public interface Template {

	/**
	 * Generates the template to an output stream using a given context.
	 * 
	 * @param out
	 *            Writer to generate the template in.
	 * @param context
	 *            Template context, containing all needed variables.
	 */
	void generate(Writer out, Map<String, Object> context);

}
